<template>
  <div>
    <div class="layout-content-padding">
      <div class="layout-content-main">
        <el-tabs v-model="activeName" @tab-click="_changeTabs">
          <el-tab-pane label="样本制备" name="report">
            <samplePreparation ref="reportTabs" />
          </el-tab-pane>
          <el-tab-pane label="制备记录" name="his">
            <samplePreparationManage ref="hisTabs" />
          </el-tab-pane>
        </el-tabs>
      </div>
    </div>
  </div>
</template>
<script>
import samplePreparation from './tabs/samplePreparation'
import samplePreparationManage from './tabs/samplePreparationRecord'

export default {
  components: { samplePreparation, samplePreparationManage },
  data() {
    return {
      activeName: 'report'
    }
  },
  mounted() {
    this.activeName = 'report'
    this._page()
  },
  methods: {
    _changeTabs(tab, event) {
      if (tab.name === 'report') {
        this._page()
      } else {
        this.$refs.hisTabs._clearPage()
        this.$refs.hisTabs._page()
      }
    },
    _page() {
      this.$refs.reportTabs._clearPage()
      this.$refs.reportTabs._page()
    }
  }
}
</script>
